apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: pomerium-listener-http
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: getambassador.io/v3alpha1
      kind: Listener
      metadata:
        name: pomerium-listener-http
        namespace: emissary
      spec:
        port: 8080
        protocol: HTTP
        securityModel: XFP
        hostBinding:
          namespace:
            from: ALL
---
apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: pomerium-listener-https
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: getambassador.io/v3alpha1
      kind: Listener
      metadata:
        name: pomerium-listener-https
        namespace: emissary
      spec:
        port: 8443
        protocol: HTTPS
        securityModel: XFP
        hostBinding:
          namespace:
            from: ALL